### Method

# Camel StoreSearchItem get_additional_value

since: 3.58

#### Declaration [src]

    const gchar*
    camel_store_search_item_get_additional_value (
      CamelStoreSearchItem* self,
      guint32 index
    )

#### Description [src]

Gets value of an additional column of an index `index`, which should be less than camel_store_search_item_get_n_additional_values(). The order corresponds to the camel_store_search_get_additional_columns(). Asking for an index which out of bounds returns `NULL`. Note the actual read value can be also `NULL`.

Available since: 3.58

#### Parameters

`index`

  Type: `guint32`

  An index of the item to get, counting from zero.

#### Return value

Type: `const gchar*`

Additional read value at index `index`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.